PDA

View Full Version : Installing Gallery 2.x



sisterearth
10-31-2006, 08:32 AM
I'm having problems installing the Gallery 2.x program, which is made for this kind of server setup and the problems begin after extracting the installation files into the "Gallery 2" folder at our root directory. The next step in the install would be navigate to install/index.php and launch install. When I try that I get an error...

Here's the error I get from the server:
Not Found

The server was not able to find the document (./frontend/x/files/install/index.php) you requested
Please check the url and try again. You might also want to report
this error to your webhost.
cpsrvd/10.9.6 Server at sisterearthstore.com
and here's some info from the Gallery 2 FAQ at this address ...(http://codex.gallery2.org/index.php/Gallery2:FAQ#I_can.27t_install_G2.2C_what_should_I _do.3F)


Gallery depends on PHP's __FILE__ directive to return the absolute filesystem path of the current file. Due to a bug in PHP, __FILE__ returns a relative path in older PHP versions.

In most cases, you can fix the problem by convincing your webhost to upgrade the PHP version.
For some rare platforms, the bug still exists in the latest PHP version. In this case you need to file a bug report for PHP such that the bug gets fixed for that platform too. E.g. PHP 4.4.4 on SunOS 5.8 returns the filename without any path if any of the parent folders of your Gallery folder is not readable by the webserver user.I would assume we don't have access to ALL parents of the sisterearth root. I also assume that we aren't the only ones installing G2 or G1 on your servers.

Could you hook us up with someone who has successfully installed it on their box, or possibly give some insight as to how to get the install file to find its paths?

Thanks in advance, any assistance would be welcomed,
Robert Ruby II (Technical POC)
Dianne Keast (Owner of the Account)
sisterearthstore.com

Mook25
11-10-2006, 12:23 PM
reading this it appears that it could be one of two options.

1) A config file somewhere within the files of the script have been edited incorrectly.

2) The script is not valid for the PHP version held on the servers of Vodahost.

A little more information is required. For example what files you edited to get to this point and what you edited it with. Can you post a copy of the file code you have edited so that we can have a look?

sisterearth
11-13-2006, 06:42 AM
Thanks for the reply. So have you installed Gallery successfully?

I'm sure it's a pretty straight forward issue. Dianne (The owner), was referred to Gallery by another online novice.

I haven't edited anything to get this far, since it seems like the basic install should have worked.

The only thing I did was start the script installer from vodahost's "Fantastico" script loader.

Mostly, I'm not sure which directory to install the files in. My 1st guess was Public_Html = wrong ;-) 2nd guess was the sisterearth root = wrong again.

Also, I'm not sure about PHP, since I don't see any PHP directories in our root. But it mentioned we had to have server access for this (my previous post). It still seems like some kind of access rights to PHP for us, since we don't have a dedicated server (But then for Gallery it shouldn't need it for our use).

Is there a known issue with the Fantastico automatic install for Gallery?

I'll try again, and see if I get bettert results.

Bob

sisterearth
11-13-2006, 07:05 AM
Mook,
Thank You for taking the time to reply.
We have re-instaled & all is well.
Dianne